GuideLab API

Reorder categories

Bulk update the sort order and parent assignments for product categories. Validates nesting depth constraints (max one level deep).

POST
/categories/reorder

Bulk update the sort order and parent assignments for product categories. Validates nesting depth constraints (max one level deep).

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/categories/reorder" \  -H "Content-Type: application/json" \  -d '{    "categories": [      {        "id": "string",        "parentId": "string",        "sortOrder": 0      }    ]  }'
{  "success": true}
Empty
Empty
Empty
Empty